GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo Class Reference

## Public Member Functions
String | getTour ()
void | setTour (String value)
String | getInboundSortingFlag ()
void | setInboundSortingFlag (String value)
String | getFinalLocationCode ()
void | setFinalLocationCode (String value)
String | getPickupLocationCode ()
void | setPickupLocationCode (String value)
String | getHubLocation ()
void | setHubLocation (String value)
Date | getLastRoutingDate ()
void | setLastRoutingDate (Date value)
String | getGeoTour ()
void | setGeoTour (String value)
String | getLoadingArea ()
void | setLoadingArea (String value)
String | getDispositionFlag ()
void | setDispositionFlag (String value)

## Protected Attributes
String | tour
String | inboundSortingFlag
String | finalLocationCode
String | pickupLocationCode
String | hubLocation
Date | lastRoutingDate
String | geoTour
String | loadingArea
String | dispositionFlag

## Detailed Description

The routing information

Java class for RoutingInfo complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="RoutingInfo">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Tour" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="InboundSortingFlag" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="FinalLocationCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="PickupLocationCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="HubLocation" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="LastRoutingDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
            <element name="GeoTour" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="LoadingArea" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="DispositionFlag" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 56 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## Member Function Documentation

## ◆ getDispositionFlag()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getDispositionFlag | ( |  | ) |

Gets the value of the dispositionFlag property.

Returns
  possible object is String

Definition at line 279 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ getFinalLocationCode()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getFinalLocationCode | ( |  | ) |

Gets the value of the finalLocationCode property.

Returns
  possible object is String

Definition at line 135 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ getGeoTour()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getGeoTour | ( |  | ) |

Gets the value of the geoTour property.

Returns
  possible object is String

Definition at line 231 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ getHubLocation()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getHubLocation | ( |  | ) |

Gets the value of the hubLocation property.

Returns
  possible object is String

Definition at line 183 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ getInboundSortingFlag()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getInboundSortingFlag | ( |  | ) |

Gets the value of the inboundSortingFlag property.

Returns
  possible object is String

Definition at line 111 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ getLastRoutingDate()

Date eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getLastRoutingDate | ( |  | ) |

Gets the value of the lastRoutingDate property.

Returns
  possible object is String

Definition at line 207 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ getLoadingArea()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getLoadingArea | ( |  | ) |

Gets the value of the loadingArea property.

Returns
  possible object is String

Definition at line 255 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ getPickupLocationCode()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getPickupLocationCode | ( |  | ) |

Gets the value of the pickupLocationCode property.

Returns
  possible object is String

Definition at line 159 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ getTour()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.getTour | ( |  | ) |

Gets the value of the tour property.

Returns
  possible object is String

Definition at line 87 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setDispositionFlag()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setDispositionFlag | ( | String | value | ) |

Sets the value of the dispositionFlag property.

Parameters

  value | allowed object is String

Definition at line 291 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setFinalLocationCode()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setFinalLocationCode | ( | String | value | ) |

Sets the value of the finalLocationCode property.

Parameters

  value | allowed object is String

Definition at line 147 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setGeoTour()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setGeoTour | ( | String | value | ) |

Sets the value of the geoTour property.

Parameters

  value | allowed object is String

Definition at line 243 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setHubLocation()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setHubLocation | ( | String | value | ) |

Sets the value of the hubLocation property.

Parameters

  value | allowed object is String

Definition at line 195 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setInboundSortingFlag()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setInboundSortingFlag | ( | String | value | ) |

Sets the value of the inboundSortingFlag property.

Parameters

  value | allowed object is String

Definition at line 123 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setLastRoutingDate()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setLastRoutingDate | ( | Date | value | ) |

Sets the value of the lastRoutingDate property.

Parameters

  value | allowed object is String

Definition at line 219 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setLoadingArea()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setLoadingArea | ( | String | value | ) |

Sets the value of the loadingArea property.

Parameters

  value | allowed object is String

Definition at line 267 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setPickupLocationCode()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setPickupLocationCode | ( | String | value | ) |

Sets the value of the pickupLocationCode property.

Parameters

  value | allowed object is String

Definition at line 171 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ setTour()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.setTour | ( | String | value | ) |

Sets the value of the tour property.

Parameters

  value | allowed object is String

Definition at line 99 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## Member Data Documentation

## ◆ dispositionFlag

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.dispositionFlag
| protected

Definition at line 77 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ finalLocationCode

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.finalLocationCode
| protected

Definition at line 63 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ geoTour

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.geoTour
| protected

Definition at line 73 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ hubLocation

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.hubLocation
| protected

Definition at line 67 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ inboundSortingFlag

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.inboundSortingFlag
| protected

Definition at line 61 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ lastRoutingDate

Date eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.lastRoutingDate
| protected

Definition at line 71 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ loadingArea

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.loadingArea
| protected

Definition at line 75 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ pickupLocationCode

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.pickupLocationCode
| protected

Definition at line 65 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

## ◆ tour

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RoutingInfo.tour
| protected

Definition at line 59 of file gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/RoutingInfo.java